<?php
session_start();

function login($request)
{
    global $conn;

    $username = $request['username'];
    $password = md5($request['password']);
  
    $username = stripcslashes($username);  
    $password = stripcslashes($password);  
    $username = mysqli_real_escape_string($conn, $username);  
    $password = mysqli_real_escape_string($conn, $password);  
  
    $sql = "select * from users where username = '$username' and password = '$password'";  
    $result = mysqli_query($conn, $sql);  
    $row = mysqli_fetch_array($result, MYSQLI_ASSOC);  
    $count = mysqli_num_rows($result);  
     
    if($count == 1){  
     
        // Store data in session variables
        $_SESSION["loggedin"] = true;
        $_SESSION["user_details"] = $row;                            
        
        // Redirect user to dashboard page
        header("location: dashboard");
    }  
    else{  
      $result = array('status'=>'error','message'=>'Invalid username or password.');
      $response = json_encode($result);
        
        // Store data in session variables
        $_SESSION["error"] = $response; 

      header("location: login");
    } 
  
    $conn->close();
}

function addPricing($request)
{
    global $conn;
    $vehicleType = mysqli_real_escape_string($conn, $_POST['vehicletype']);
    $dayWeek = $_POST['dayWeek'];
    $minHoursInCity = mysqli_real_escape_string($conn, $_POST['minHoursInCity']);
    $minHoursCityToCity = mysqli_real_escape_string($conn, $_POST['minHoursCityToCity']);
    $hourlyRate = mysqli_real_escape_string($conn, $_POST['hourlyRate']);
    $perMileRate = mysqli_real_escape_string($conn, $_POST['perMileRate']);
    $minCharge = mysqli_real_escape_string($conn, $_POST['minCharge']);

    // Loop through each day of the week and check if the record already exists
    $insertedRecords = [];
    $existingRecords = [];

    foreach ($dayWeek as $day) {
        // Escape variables to prevent SQL injection
        $day = mysqli_real_escape_string($conn, $day);

        // Check if the record already exists
        $sql = "SELECT COUNT(*) AS count FROM pricing WHERE vehicle_type_id = '$vehicleType' AND day_of_week = '$day'";
        $result = mysqli_query($conn, $sql);
        $row = mysqli_fetch_assoc($result);

        // If the record doesn't exist, insert it
        if ($row['count'] == 0) {
            $sql = "INSERT INTO pricing (service_type_id, vehicle_type_id, day_of_week, min_hours_within_city, min_hours_city_to_city, hour_rate, per_mile_rate, min_charge) VALUES (NULL, '$vehicleType', '$day', '$minHoursInCity', '$minHoursCityToCity', '$hourlyRate', '$perMileRate', '$minCharge')";
            $insert_result = mysqli_query($conn, $sql);
            if($insert_result)
            {
              $insertedRecords[] = $day;
            }
        }
        else 
        {
          $existingRecords[] = $day;
        }
    }

  // Output messages indicating which records were inserted and which ones already existed
  if (!empty($insertedRecords)) {
      $response = array('status'=>'success','message'=> "Records inserted successfully for days: " . implode(', ', $insertedRecords));
  }
  if (!empty($existingRecords)) {
    $response = array('status'=>'success','message'=> "This Vehicle already existed for days: " . implode(', ', $existingRecords));
  }

  header("location: dashboard");
  $_SESSION['message'] = json_encode($response);
  $conn->close();
}

function updatePricing($request)
{
    global $conn;
    $vehicleType = mysqli_real_escape_string($conn, $_POST['vehicletype']);
    $recordid = mysqli_real_escape_string($conn, $_POST['recordid']);
    $dayWeek = $_POST['dayWeek'];
    $minHoursInCity = mysqli_real_escape_string($conn, $_POST['minHoursInCity']);
    $minHoursCityToCity = mysqli_real_escape_string($conn, $_POST['minHoursCityToCity']);
    $hourlyRate = mysqli_real_escape_string($conn, $_POST['hourlyRate']);
    $perMileRate = mysqli_real_escape_string($conn, $_POST['perMileRate']);
    $minCharge = mysqli_real_escape_string($conn, $_POST['minCharge']);

    // Construct the update query
    $updateQuery = "UPDATE pricing SET vehicle_type_id = $vehicleType, day_of_week = '$dayWeek', min_hours_within_city = '$minHoursInCity', min_hours_city_to_city = '$minHoursCityToCity', hour_rate = '$hourlyRate', per_mile_rate = '$perMileRate', min_charge = '$minCharge' WHERE id=$recordid";

    // Execute the update query
    $updateResult = mysqli_query($conn, $updateQuery);

    // Check if the update was successful
    if ($updateResult) {
        $response = array('status' => 'success', 'message' => 'Pricing records updated successfully.');
    } else {
        $response = array('status' => 'error', 'message' => 'Error updating pricing records: ' . mysqli_error($conn));
    }

    // Redirect to dashboard and set session message
    header("location: dashboard");
    $_SESSION['message'] = json_encode($response);
    $conn->close();
}

function getVehiclesPricingList()
{
  global $conn;
  $sql = "SELECT p.id, p.service_type_id, v.name AS vehicle_type, p.day_of_week, p.min_hours_within_city, p.min_hours_city_to_city, p.hour_rate, p.per_mile_rate, p.min_charge 
  FROM pricing p 
  INNER JOIN vehicle_type v ON p.vehicle_type_id = v.id
  WHERE p.vehicle_type_id = (SELECT MIN(vehicle_type_id) FROM pricing)";
  $result = $conn->query($sql);
  //$conn->close();
  return $result;
}

function getVehicles($id)
{
  global $conn;
  if($id != null)
  {
    $sql = "SELECT * FROM vehicle_type where id=$id";
  }
  else
  {
    $sql = "SELECT * FROM vehicle_type";
  }
  
  $result = $conn->query($sql);
  //$conn->close();
  return $result;
}

function getPricing($id)
{
  global $conn;
  $sql = "SELECT * FROM pricing where id=$id";
  $result = $conn->query($sql);
  //$conn->close();
  return $result;
}

function deletePricing($id)
{
  global $conn;
  $sql = "DELETE FROM pricing where id=$id";
  $result = $conn->query($sql);
  if($result)
  {
    $response = array('status' => 'success', 'message' => 'Records deleted successfully.');
    header("location: dashboard");
    $_SESSION['message'] = json_encode($response);
    $conn->close();
  }
}

function addVehicle()
{
  global $conn;
  $vehiclename = mysqli_real_escape_string($conn, $_POST['vehicle']);

  $sql = "INSERT INTO vehicle_type (name) VALUES ('$vehiclename')";
  if ($conn->query($sql) === TRUE) {
    $response = array('status' => 'success', 'message' => 'Vehicle inserted successfully.');
  } else {
    $response = array('status' => 'success', 'message' => 'Something went wrong.');
  }
  header("location: vehicles");
  $_SESSION['message'] = json_encode($response);
}

function updateVehicle($request)
{
    global $conn;
    $recordid = mysqli_real_escape_string($conn, $_POST['recordid']);
    $vehicle_name = mysqli_real_escape_string($conn, $_POST['vehicle']);
    
    // Construct the update query
    $updateQuery = "UPDATE vehicle_type SET name = '$vehicle_name' WHERE id=$recordid";

    // Execute the update query
    $updateResult = mysqli_query($conn, $updateQuery);

    // Check if the update was successful
    if ($updateResult) {
        $response = array('status' => 'success', 'message' => 'Vehicle updated successfully.');
    } else {
        $response = array('status' => 'error', 'message' => 'Something went wrong');
    }

    // Redirect to dashboard and set session message
    header("location: vehicles");
    $_SESSION['message'] = json_encode($response);
    $conn->close();
}

function deleteVehicle($id)
{
  global $conn;
  $sql = "DELETE FROM vehicle_type where id=$id";
  $result = $conn->query($sql);
  if($result)
  {
    $response = array('status' => 'success', 'message' => 'Vehicle deleted successfully.');
    header("location: vehicles");
    $_SESSION['message'] = json_encode($response);
    $conn->close();
  }
}
?>
